import { GetQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { GetQuoteController } from "./GetQuote.controller";
import { GetQuotePresenter } from "./presenter";

export const getQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);

  return new GetQuoteController(
    {
      useCase: new GetQuoteUseCase(context),
      presenter: GetQuotePresenter,
    },
    context
  );
};
